Page MenuHomeFreeBSD

Add OPENMP for riscv64*
ClosedPublic

Authored by pkubaj on Jun 22 2021, 9:09 AM.

Details

Summary

Adding OPENMP will fix a bunch of ports that need it.

Test Plan

make buildworld

Diff Detail

Repository
rG FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mhorne added reviewers: emaste, dim.

Thanks, this fell off my radar.

I approve the change, but have no idea of the status of OpenMP on RISC-V, and what might be missing/lacking.

This revision is now accepted and ready to land.Jun 24 2021, 7:07 PM
share/mk/src.opts.mk
358

Any reason not to enable for riscv64sf as well?

pkubaj retitled this revision from Add OPENMP for riscv64 to Add OPENMP for riscv64*.

Adding riscv64sf.

This revision now requires review to proceed.Jun 25 2021, 1:32 PM
This revision is now accepted and ready to land.Jun 25 2021, 1:35 PM
This revision was automatically updated to reflect the committed changes.

@mhorne
OK to MFC it to stable/13?

@mhorne
OK to MFC it to stable/13?

Sounds fine to me!

This revision was not accepted when it landed; it landed in state Needs Review.Dec 19 2021, 10:43 PM
This revision was automatically updated to reflect the committed changes.